Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class FileScanner

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.FileScanner

    public class FileScanner
    extends Task

`FileScanner` is a bean which allows the iteration over a number of files from a collection of FileSet instances.

Authors:
  James Strachan
  Marc Guillemot

Version:
  \$Revision: 10445 \$

Constructor Summary
`FileScanner()`
`FileScanner(Project project)`

Method Summary
`void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
`void` | `clear()` Clears any file sets that have been added to this scanner
`Iterator` | `directories()`
`boolean` | `hasFiles()`
`Iterator` | `iterator()`

Methods inherited from class Task
log, log, log, log, init, execute, perform, maybeConfigure, setTaskType, setTaskName, setOwningTarget, getTaskName, getOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, reconfigure, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FileScanner

    public FileScanner()

### FileScanner

    public FileScanner(Project project)

Method Detail

### addFileset

    public void addFileset(FileSet set)

  Adds a set of files (nested fileset attribute).

### clear

    public void clear()

  Clears any file sets that have been added to this scanner

### directories

    public Iterator directories()

### hasFiles

    public boolean hasFiles()

### iterator

    public Iterator iterator()

Copyright © 2003-2010 The Codehaus. All rights reserved.